--
-- Table structure for table `#__os_cck_version`
--
CREATE TABLE IF NOT EXISTS `#__os_cck_version` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `current_vers` varchar(255) NOT NULL DEFAULT '',
  `last_vers` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Table structure for table `#__os_cck_orders`
--
CREATE TABLE IF NOT EXISTS `#__os_cck_orders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fk_user_id` int(11) DEFAULT NULL,
  `fk_instance_id` int(11) DEFAULT NULL,
  `fk_request_id` int(11) DEFAULT NULL,
  `instance_type` varchar(255) NOT NULL DEFAULT '',
  `instance_title` varchar(255) NOT NULL DEFAULT '',
  `user_email` varchar(255) NOT NULL DEFAULT '',
  `user_name` varchar(255) NOT NULL DEFAULT '',
  `status` varchar(255) NOT NULL DEFAULT '',
  `order_date` DATETIME,
  `txn_type` varchar(255) NOT NULL DEFAULT '',
  `txn_id` varchar(255) NOT NULL DEFAULT '',
  `payer_id` varchar(255) NOT NULL DEFAULT '',
  `payer_status` varchar(255) NOT NULL DEFAULT '',
  `order_price` varchar(255) NOT NULL DEFAULT '',
  `order_currency` varchar(255) NOT NULL DEFAULT '',
  `paid_price` varchar(255) NOT NULL DEFAULT '',
  `paid_currency` varchar(255) NOT NULL DEFAULT '',
  `notreaded` int(1) NOT NULL DEFAULT '0',
  `quantity` int(11) DEFAULT NULL,
  `number_of_downloads` INT NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
    
--
-- Table structure for table `#__os_cck_orders_details`
--
CREATE TABLE IF NOT EXISTS `#__os_cck_orders_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fk_order_id` int(11) DEFAULT NULL,
  `fk_user_id` int(11) DEFAULT NULL,
  `fk_instance_id` int(11) DEFAULT NULL,
  `instance_title` varchar(255) NOT NULL DEFAULT '',
  `user_email` varchar(255) NOT NULL DEFAULT '',
  `user_name` varchar(255) NOT NULL DEFAULT '',
  `status` varchar(255) NOT NULL DEFAULT '',
  `order_date` DATETIME,
  `txn_type` varchar(255) NOT NULL DEFAULT '',
  `txn_id` varchar(255) NOT NULL DEFAULT '',
  `payer_id` varchar(255) NOT NULL DEFAULT '',
  `payer_status` varchar(255) NOT NULL DEFAULT '',
  `order_price` int(11) DEFAULT NULL,
  `order_currency` varchar(255) NOT NULL DEFAULT '',
  `payment_details` text NOT NULL,
  `quantity` int(11) DEFAULT NULL,
  `comment` TEXT NOT NULL,
  `row_data` TEXT NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Table structure for table `#__os_cck_layout_html`
--

CREATE TABLE IF NOT EXISTS #__os_cck_layout_html (
  `id` int(11) unsigned NOT NULL auto_increment,
  `fk_lid`int(11) DEFAULT NULL,
  `layout_html` LONGBLOB DEFAULT NULL,
  `bootstrap` int(11) unsigned NOT NULL ,
   FOREIGN KEY (`fk_lid`) REFERENCES #__os_cck_layout(`lid`),
   PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

--
-- Table structure for table `#__os_cck_access`
--

CREATE TABLE IF NOT EXISTS `#__os_cck_access` (
  `aid` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique key.',
  `fk_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'The entity or other.id this record affects.',
  `access_type` varchar(64) NOT NULL DEFAULT '' COMMENT 'for what entity, or instance entety, or field or other.',
  `gid` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'The grant ID a user must possess in the specified realm to gain this row’s privileges on the entity. Not use now - Reserved to future',
  `realm` varchar(255) NOT NULL DEFAULT '' COMMENT 'The realm in which the user must possess the grant ID. Each entity access entity can define one or more realms. Not use now - Reserved to future',
  `grant_view` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can view this entity. Not use now - Reserved to future',
  `grant_update` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can edit this entity. Not use now - Reserved to future',
  `grant_delete` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can delete this entity.Not use now - Reserved to future',
  PRIMARY KEY (`aid`),
  KEY `aid` (`aid`,`access_type`,`gid`,`realm`),
  KEY `fk_id` (`fk_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Identifies which realm/grant pairs a user must possess in...' AUTO_INCREMENT=1 ;

--
-- Table structure for table `#__os_cck_categories`
--

CREATE TABLE IF NOT EXISTS `#__os_cck_categories` (
  `cid` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `image` varchar(255) NOT NULL DEFAULT '',
  `fk_eid` INT(11) NOT NULL DEFAULT '0',
  `section` varchar(50) NOT NULL DEFAULT '',
  `image_position` varchar(30) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL,
  `editor` varchar(50) DEFAULT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `access` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `params2` text NOT NULL,
  `rent_request` tinyint(1) DEFAULT '0',
  `buy_request` tinyint(1) DEFAULT '0',
  `show_search` tinyint(1) DEFAULT '0',
  `language` VARCHAR(16) NULL,
  `associate_category` VARCHAR(255) NULL DEFAULT NULL,
  PRIMARY KEY (`cid`),
  KEY `cat_idx` (`section`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `published` (`published`),
  KEY `section` (`section`),
  KEY `language` (`language`),
  KEY `cat_idx2` (`published`, `section`, `language`),
  KEY `parent_id_section_published` (`published`, `section`, `language`),
  KEY `section_ordering` (`published`, `section`, `language`)

) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Table structure for table `#__os_cck_categories_connect`
--

CREATE TABLE IF NOT EXISTS `#__os_cck_categories_connect` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `fk_eiid` int(11) NOT NULL DEFAULT '0' COMMENT 'The eiid from table __os_cck_entity_instance.',
  `fk_cid` int(11) DEFAULT NULL COMMENT 'The cid from table __os_cck_categories.',
  PRIMARY KEY (`id`),
  KEY `fk_eiid` (`fk_eiid`),
  KEY `fk_cid` (`fk_cid`),
  KEY `fk_eiid_fk_cid` (`fk_eiid`, `fk_cid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Table structure for table `#__os_cck_entity`
--

CREATE TABLE IF NOT EXISTS `#__os_cck_entity` (
  `eid` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a entity.',
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The name of this type.',
  `type` VARCHAR(16) NOT NULL DEFAULT 'os_cck_entity',
  `fk_userid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.id that owns this entity; initially, this is the user that created it.',
  `published` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the entity is published (visible to non-administrators).',
  `approved` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the entity is approved by administartor (visible to non-administrators).',
  `created` datetime NOT NULL COMMENT 'The Unix timestamp when the entity was created.',
  `changed` datetime NOT NULL COMMENT 'The Unix timestamp when the entity was most recently saved.',
  `checked_out` int(11) NOT NULL DEFAULT '0' COMMENT 'If some user edit this record. There are that userID .',
  `checked_out_time` datetime NOT NULL COMMENT 'Time when checkout started .',
  `sql_select` TEXT NOT NULL,
  `custom_fields` TEXT NOT NULL,
  PRIMARY KEY (`eid`),
  UNIQUE KEY `entity_name` (`name`),
  KEY `entity_changed` (`changed`),
  KEY `entity_created` (`created`),
  KEY `fk_userid` (`fk_userid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='The base table for entitys.' AUTO_INCREMENT=2 ;

--
-- Table structure for table `#__os_cck_entity_field`
--

CREATE TABLE IF NOT EXISTS `#__os_cck_entity_field` (
  `fid` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The field id.',
  `fk_eid` int(11) unsigned NOT NULL COMMENT 'The REFERENCES to __os_cck_entity.eid.',
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `field_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The machine-readable name of this field.',
  `field_type` varchar(64) NOT NULL DEFAULT '',
  `module` varchar(127) NOT NULL DEFAULT '' COMMENT 'What module/componet/plugin connected with this field',
  `published` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the field is published for edit (visible to non-administrators).',
  `show_in_instance_menu` BOOLEAN NOT NULL DEFAULT '0',
  `db_field_name` varchar(255) NOT NULL DEFAULT '',
  `params` LONGBLOB DEFAULT NULL,
  PRIMARY KEY (`fid`),
  UNIQUE KEY `entity_status_type` (`fid`,`fk_eid`),
  KEY `field_name` (`field_name`),
  KEY `field_type` (`field_type`),
  KEY `fk_eid` (`fk_eid`),
  KEY `published` (`published`),
  KEY `fk_eid_field_name` (`fk_eid`, `field_name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Table structure for table `#__os_cck_entity_instance`
--

CREATE TABLE IF NOT EXISTS `#__os_cck_entity_instance` (
  `eiid` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a entity.',
  `fk_lid` int(11) unsigned NOT NULL COMMENT 'The REFERENCES to #__os_cck_layout.lid.',
  `layout_type` VARCHAR(32) NOT NULL,
  `fk_eid` int(11) unsigned NOT NULL COMMENT 'The REFERENCES to #__os_cck_entity.eid.',
  `title` varchar(255) NOT NULL COMMENT 'The module defining this entity instance title.',
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `fk_userid` int(11) NOT NULL DEFAULT '0' COMMENT 'The __users.id that owns this entity; initially, this is the user that created it.',
  `published` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the entity is published (visible to non-administrators).',
  `approved` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the entity is approved by administartor (visible to non-administrators).',
  `created` datetime NOT NULL COMMENT 'The Unix timestamp when the entity was created.',
  `changed` datetime NOT NULL COMMENT 'The Unix timestamp when the entity was most recently saved.',
  `checked_out` int(11) NOT NULL DEFAULT '0' COMMENT 'If some user edit this record. There are that userID .',
  `checked_out_time` datetime NOT NULL COMMENT 'Time when checkout started .',
  `teid` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'The translation set id for this entity, which equals the entity id of the source post in each set.',
  `hits` int(11) NOT NULL DEFAULT '0' COMMENT 'how much times it was showed',
  `instance_price` int(11) NULL DEFAULT NULL,
  `instance_currency` varchar(255) NULL DEFAULT NULL,
  `notreaded` int(1) NOT NULL DEFAULT '1',
  `featured_clicks` int(100) NOT NULL DEFAULT '-1',
  `featured_shows` int(100) NOT NULL DEFAULT '-1',
  `access` VARCHAR(64) NOT NULL DEFAULT '1',
  `meta_title` VARCHAR(256) NOT NULL,
  `meta_description` VARCHAR(256) NOT NULL,
  `meta_keywords` VARCHAR(256) NOT NULL,
  `meta_robots` TINYINT(2) NOT NULL DEFAULT '0',
  `language` VARCHAR(16) NOT NULL,
  `associate_instances` VARCHAR(255) NOT NULL,
  PRIMARY KEY (`eiid`),
  KEY `fk_eid` (`fk_eid`),
  KEY `fk_lid` (`fk_lid`),
  KEY `fk_userid` (`fk_userid`),
  KEY `entity_title` (`title`),
  KEY `entity_changed` (`changed`),
  KEY `entity_created` (`created`),
  KEY `teid` (`teid`),
  KEY `access` (`access`),
  KEY `language` (`language`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='The table for instances entitys.' AUTO_INCREMENT=6 ;

--
-- Table structure for table `#__os_cck_files`
--

CREATE TABLE IF NOT EXISTS `#__os_cck_files` (
  `fid` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'File ID',
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the file with no path components. This may differ from the basename of the URI if the file is renamed to avoid overwriting an existing file.',
  `filepath` varchar(255) NOT NULL DEFAULT '' COMMENT 'Path to file',
  `filemime` varchar(255) NOT NULL DEFAULT '' COMMENT 'The file’s MIME type.',
  `filesize` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The size of the file in bytes.',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'A field indicating the status of the file. Two status are defined in core: temporary (0) and permanent (1). Temporary files older than OS_CCK_MAXIMUM_TEMP_FILE_AGE will be removed during a cron run.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp for when the file was added.',
  PRIMARY KEY (`fid`),
  KEY `status` (`status`),
  KEY `timestamp` (`timestamp`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Table structure for table `#__os_cck_child_parent_connect`
--

CREATE TABLE IF NOT EXISTS `#__os_cck_child_parent_connect` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `fid_parent` int(11) unsigned NOT NULL COMMENT 'File ID from table os_cck_files',
  `fid_child` int(11) unsigned NOT NULL COMMENT 'File ID from table os_cck_files, for file image what was created from parent image e.g. for thumbnails ',
  `media_type` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fid_parent` (`fid_parent`),
  KEY `fid_child` (`fid_child`),
  KEY `media_type` (`media_type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Table structure for table `#__os_cck_layout`
--

CREATE TABLE IF NOT EXISTS `#__os_cck_layout` (
  `lid` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `fk_eid` int(11) NOT NULL,
  `type` text NOT NULL,
  `params` LONGBLOB NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `approved` tinyint(1) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL,
  `changed` datetime NOT NULL,
  `custom_fields` MEDIUMBLOB NOT NULL,
  `mail` MEDIUMBLOB NOT NULL,
  `pdf_structure` BLOB NOT NULL,
  `associate_layout` VARCHAR(255) NULL DEFAULT NULL,
  `language` VARCHAR(16) NULL DEFAULT '*',
  PRIMARY KEY (`lid`),
  KEY `fk_eid` (`fk_eid`),
  KEY `published` (`published`),
  KEY `approved` (`approved`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Table structure for table `#__os_cck_rent`
--

CREATE TABLE IF NOT EXISTS `#__os_cck_rent` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `fk_eiid` int(11) NOT NULL DEFAULT '0' COMMENT 'The eiid from table __os_cck_entity_instance.',
  `fk_userid` int(11) unsigned DEFAULT NULL,
  `rent_from` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `rent_until` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `rent_return` date DEFAULT NULL,
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL,
  `user_name` varchar(150) DEFAULT NULL,
  `user_email` varchar(100) DEFAULT NULL,
  `user_mailing` text,
  PRIMARY KEY (`id`),
  KEY `fk_eiid` (`fk_eiid`),
  KEY `fk_eiid_rent_return` (`fk_eiid`, `rent_return`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

--
-- Table structure for table `#__os_cck_video_source`
--

CREATE TABLE IF NOT EXISTS #__os_cck_video_source (
  `id` int(11) unsigned NOT NULL auto_increment,
  `fk_eiid`int(11) DEFAULT NULL,
  `fk_fid` int(11) DEFAULT NULL,
  `src` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `media`varchar(255) DEFAULT NULL,
  `youtube`varchar(255) DEFAULT NULL,
   FOREIGN KEY (`fk_eiid`) REFERENCES #__os_cck_entity_instance(`eiid`),
   PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

--
-- Table structure for table `#__os_cck_track_source`
--

CREATE TABLE IF NOT EXISTS #__os_cck_track_source (
  `id` int(11) unsigned NOT NULL auto_increment,
  `fk_eiid`int(11) DEFAULT NULL,
  `fk_video_id` INT NOT NULL,
  `sequence_number` int(11) DEFAULT NULL,
  `src` varchar(255) DEFAULT NULL,
  `kind` varchar(255) DEFAULT NULL,
  `scrlang` varchar(255) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
   FOREIGN KEY (`fk_eiid`) REFERENCES #__os_cck_entity_instance(`eiid`),
   PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1  COLLATE utf8_general_ci;

--
-- Table structure for table `#__os_cck_audio_source`
--

CREATE TABLE IF NOT EXISTS #__os_cck_audio_source (
  `id` int(11) unsigned NOT NULL auto_increment,
  `fk_eiid` int(11) DEFAULT NULL,
  `fk_fid` INT NOT NULL DEFAULT '0',
  `sequence_number` int(11) DEFAULT NULL,
  `src` varchar(255) DEFAULT NULL,
  `type`varchar(255) DEFAULT NULL,
   FOREIGN KEY (`fk_eiid`) REFERENCES #__os_cck_entity_instance(`eiid`),
   PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1  COLLATE utf8_general_ci;

--
-- Table structure for table `#__os_cck_mime_types`
--

DROP TABLE IF EXISTS `#__os_cck_mime_types`;

CREATE TABLE IF NOT EXISTS `#__os_cck_mime_types` (
  `mime_ext` varchar(255),
  `mime_type` varchar(255)
) ENGINE=MyISAM AUTO_INCREMENT=1 CHARACTER SET `utf8`;

--
-- add mime types
--

INSERT INTO `#__os_cck_mime_types` VALUES
  ('atom', 'application/atom+xml'),
    ('atomcat', 'application/atomcat+xml'),
    ('atomsvc', 'application/atomsvc+xml'),
    ('ccxml', 'application/ccxml+xml'),
    ('epub', 'application/epub+zip'),
    ('jar', 'application/java-archive'),
    ('js', 'application/javascript'),
    ('json', 'application/json'),
    ('jsonml', 'application/jsonml+json'),
    ('mads', 'application/mads+xml'),
    ('mathml', 'application/mathml+xml'),
    ('mbox', 'application/mbox'),
    ('mscml', 'application/mediaservercontrol+xml'),
    ('metalink', 'application/metalink+xml'),
    ('meta4', 'application/metalink4+xml'),
    ('mods', 'application/mods+xml'),
    ('doc', 'application/msword'),
    ('dot', 'application/msword'),
    ('bin', 'application/octet-stream'),
    ('so', 'application/octet-stream'),
    ('pkg', 'application/octet-stream'),
    ('dump', 'application/octet-stream'),
    ('elc', 'application/octet-stream'),
    ('deploy', 'application/octet-stream'),
    ('oxps', 'application/oxps'),
    ('pdf', 'application/pdf'),
    ('asc', 'application/pgp-signature'),
    ('sig', 'application/pgp-signature'),
    ('prf', 'application/pics-rules'),
    ('cer', 'application/pkix-cert'),
    ('crl', 'application/pkix-crl'),
    ('ai', 'application/postscript'),
    ('eps', 'application/postscript'),
    ('ps', 'application/postscript'),
    ('rdf', 'application/rdf+xml'),
    ('rs', 'application/rls-services+xml'),
    ('rsd', 'application/rsd+xml'),
    ('rss', 'application/rss+xml'),
    ('rtf', 'application/rtf'),
    ('fxp', 'application/vnd.adobe.fxp'),
    ('fxpl', 'application/vnd.adobe.fxp'),
    ('xdp', 'application/vnd.adobe.xdp+xml'),
    ('xfdf', 'application/vnd.adobe.xfdf'),
    ('ahead', 'application/vnd.ahead.space'),
    ('azf', 'application/vnd.airzip.filesecure.azf'),
    ('azs', 'application/vnd.airzip.filesecure.azs'),
    ('azw', 'application/vnd.amazon.ebook'),
    ('mpkg', 'application/vnd.apple.installer+xml'),
    ('m3u8', 'application/vnd.apple.mpegurl'),
    ('sc', 'application/vnd.ibm.secure-container'),
    ('org', 'application/vnd.lotus-organizer'),
    ('scm', 'application/vnd.lotus-screencam'),
    ('flo', 'application/vnd.micrografx.flo'),
    ('igx', 'application/vnd.micrografx.igx'),
    ('xul', 'application/vnd.mozilla.xul+xml'),
    ('cab', 'application/vnd.ms-cab-compressed'),
    ('xls', 'application/vnd.ms-excel'),
    ('xlm', 'application/vnd.ms-excel'),
    ('xla', 'application/vnd.ms-excel'),
    ('xlc', 'application/vnd.ms-excel'),
    ('xlt', 'application/vnd.ms-excel'),
    ('xlw', 'application/vnd.ms-excel'),
    ('chm', 'application/vnd.ms-htmlhelp'),
    ('thmx', 'application/vnd.ms-officetheme'),
    ('cat', 'application/vnd.ms-pki.seccat'),
    ('ppt', 'application/vnd.ms-powerpoint'),
    ('pps', 'application/vnd.ms-powerpoint'),
    ('pot', 'application/vnd.ms-powerpoint'),
    ('mpp', 'application/vnd.ms-project'),
    ('mpt', 'application/vnd.ms-project'),
    ('docm', 'application/vnd.ms-word.document.macroenabled.12'),
    ('dotm', 'application/vnd.ms-word.template.macroenabled.12'),
    ('wps', 'application/vnd.ms-works'),
    ('wks', 'application/vnd.ms-works'),
    ('wcm', 'application/vnd.ms-works'),
    ('wdb', 'application/vnd.ms-works'),
    ('wpl', 'application/vnd.ms-wpl'),
    ('xps', 'application/vnd.ms-xpsdocument'),
    ('edm', 'application/vnd.novadigm.edm'),
    ('edx', 'application/vnd.novadigm.edx'),
    ('ext', 'application/vnd.novadigm.ext'),
    ('odc', 'application/vnd.oasis.opendocument.chart'),
    ('otc', 'application/vnd.oasis.opendocument.chart-template'),
    ('odb', 'application/vnd.oasis.opendocument.database'),
    ('odf', 'application/vnd.oasis.opendocument.formula'),
    ('odft', 'application/vnd.oasis.opendocument.formula-template'),
    ('odg', 'application/vnd.oasis.opendocument.graphics'),
    ('otg', 'application/vnd.oasis.opendocument.graphics-template'),
    ('odi', 'application/vnd.oasis.opendocument.image'),
    ('oti', 'application/vnd.oasis.opendocument.image-template'),
    ('odp', 'application/vnd.oasis.opendocument.presentation'),
    ('otp', 'application/vnd.oasis.opendocument.presentation-template'),
    ('ods', 'application/vnd.oasis.opendocument.spreadsheet'),
    ('ots', 'application/vnd.oasis.opendocument.spreadsheet-template'),
    ('odt', 'application/vnd.oasis.opendocument.text'),
    ('odm', 'application/vnd.oasis.opendocument.text-master'),
    ('ott', 'application/vnd.oasis.opendocument.text-template'),
    ('oth', 'application/vnd.oasis.opendocument.text-web'),
    ('oxt', 'application/vnd.openofficeorg.extension'),
    ('pptx', 'application/vnd.openxmlformats-officedocument.presentationml.presentation'),
    ('sldx', 'application/vnd.openxmlformats-officedocument.presentationml.slide'),
    ('ppsx', 'application/vnd.openxmlformats-officedocument.presentationml.slideshow'),
    ('potx', 'application/vnd.openxmlformats-officedocument.presentationml.template'),
    ('xlsx', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'),
    ('xltx', 'application/vnd.openxmlformats-officedocument.spreadsheetml.template'),
    ('docx', 'application/vnd.openxmlformats-officedocument.wordprocessingml.document'),
    ('dotx', 'application/vnd.openxmlformats-officedocument.wordprocessingml.template'),
    ('mgp', 'application/vnd.osgeo.mapguide.package'),
    ('vcx', 'application/vnd.vcx'),
    ('vsd', 'application/vnd.visio'),
    ('vst', 'application/vnd.visio'),
    ('vss', 'application/vnd.visio'),
    ('vsw', 'application/vnd.visio'),
    ('vsf', 'application/vnd.vsf'),
    ('wbxml', 'application/vnd.wap.wbxml'),
    ('xar', 'application/vnd.xara'),
    ('vxml', 'application/voicexml+xml'),
    ('wgt', 'application/widget'),
    ('hlp', 'application/winhlp'),
    ('wsdl', 'application/wsdl+xml'),
    ('7z', 'application/x-7z-compressed'),
    ('abw', 'application/x-abiword'),
    ('ace', 'application/x-ace-compressed'),
    ('bz', 'application/x-bzip'),
    ('bz2', 'application/x-bzip2'),
    ('boz', 'application/x-bzip2'),
    ('vcd', 'application/x-cdlink'),
    ('cfs', 'application/x-cfs-compressed'),
    ('chat', 'application/x-chat'),
    ('pgn', 'application/x-chess-pgn'),
    ('nsc', 'application/x-conference'),
    ('cpio', 'application/x-cpio'),
    ('csh', 'application/x-csh'),
    ('deb', 'application/x-debian-package'),
    ('udeb', 'application/x-debian-package'),
    ('dgc', 'application/x-dgc-compressed'),
    ('ncx', 'application/x-dtbncx+xml'),
    ('dtb', 'application/x-dtbook+xml'),
    ('res', 'application/x-dtbresource+xml'),
    ('dvi', 'application/x-dvi'),
    ('gsf', 'application/x-font-ghostscript'),
    ('psf', 'application/x-font-linux-psf'),
    ('otf', 'application/x-font-otf'),
    ('pcf', 'application/x-font-pcf'),
    ('snf', 'application/x-font-snf'),
    ('ttf', 'application/x-font-ttf'),
    ('ttc', 'application/x-font-ttf'),
    ('woff', 'application/x-font-woff'),
    ('arc', 'application/x-freearc'),
    ('gca', 'application/x-gca-compressed'),
    ('ulx', 'application/x-glulx'),
    ('gnumeric', 'application/x-gnumeric'),
    ('gramps', 'application/x-gramps-xml'),
    ('gtar', 'application/x-gtar'),
    ('hdf', 'application/x-hdf'),
    ('install', 'application/x-install-instructions'),
    ('iso', 'application/x-iso9660-image'),
    ('jnlp', 'application/x-java-jnlp-file'),
    ('latex', 'application/x-latex'),
    ('lzh', 'application/x-lzh-compressed'),
    ('lha', 'application/x-lzh-compressed'),
    ('prc', 'application/x-mobipocket-ebook'),
    ('mobi', 'application/x-mobipocket-ebook'),
    ('application', 'application/x-ms-application'),
    ('crd', 'application/x-mscardfile'),
    ('clp', 'application/x-msclip'),
    ('exe', 'application/x-msdownload'),
    ('dll', 'application/x-msdownload'),
    ('com', 'application/x-msdownload'),
    ('bat', 'application/x-msdownload'),
    ('msi', 'application/x-msdownload'),
    ('pub', 'application/x-mspublisher'),
    ('rar', 'application/x-rar-compressed'),
    ('sh', 'application/x-sh'),
    ('shar', 'application/x-shar'),
    ('swf', 'application/x-shockwave-flash'),
    ('sql', 'application/x-sql'),
    ('srt', 'application/x-subrip'),
    ('t3', 'application/x-t3vm-image'),
    ('tar', 'application/x-tar'),
    ('tcl', 'application/x-tcl'),
    ('tex', 'application/x-tex'),
    ('texinfo', 'application/x-texinfo'),
    ('texi', 'application/x-texinfo'),
    ('obj', 'application/x-tgif'),
    ('src', 'application/x-wais-source'),
    ('der', 'application/x-x509-ca-cert'),
    ('crt', 'application/x-x509-ca-cert'),
    ('xpi', 'application/x-xpinstall'),
    ('xz', 'application/x-xz'),
    ('xaml', 'application/xaml+xml'),
    ('xdf', 'application/xcap-diff+xml'),
    ('xht', 'application/xhtml+xml'),
    ('xml', 'application/xml'),
    ('xsl', 'application/xml'),
    ('dtd', 'application/xml-dtd'),
    ('xop', 'application/xop+xml'),
    ('xpl', 'application/xproc+xml'),
    ('xslt', 'application/xslt+xml'),
    ('xspf', 'application/xspf+xml'),
    ('zip', 'application/zip'),
    ('zip', 'application/x-zip'),
    ('zip', 'application/x-zip-compressed'),
    ('adp', 'audio/adpcm'),
    ('au', 'audio/basic'),
    ('snd', 'audio/basic'),
    ('mid', 'audio/midi'),
    ('midi', 'audio/midi'),
    ('kar', 'audio/midi'),
    ('rmi', 'audio/midi'),
    ('mp4a', 'audio/mp4'),
    ('mpga', 'audio/mpeg'),
    ('mp2', 'audio/mpeg'),
    ('mp2a', 'audio/mpeg'),
    ('mp3', 'audio/mpeg'),
    ('m2a', 'audio/mpeg'),
    ('m3a', 'audio/mpeg'),
    ('oga', 'audio/ogg'),
    ('ogg', 'audio/ogg'),
    ('spx', 'audio/ogg'),
    ('s3m', 'audio/s3m'),
    ('sil', 'audio/silk'),
    ('uva', 'audio/vnd.dece.audio'),
    ('uvva', 'audio/vnd.dece.audio'),
    ('eol', 'audio/vnd.digital-winds'),
    ('dra', 'audio/vnd.dra'),
    ('dts', 'audio/vnd.dts'),
    ('dtshd', 'audio/vnd.dts.hd'),
    ('lvp', 'audio/vnd.lucent.voice'),
    ('pya', 'audio/vnd.ms-playready.media.pya'),
    ('rip', 'audio/vnd.rip'),
    ('weba', 'audio/webm'),
    ('aac', 'audio/x-aac'),
    ('aif', 'audio/x-aiff'),
    ('aiff', 'audio/x-aiff'),
    ('aifc', 'audio/x-aiff'),
    ('caf', 'audio/x-caf'),
    ('flac', 'audio/x-flac'),
    ('mka', 'audio/x-matroska'),
    ('m3u', 'audio/x-mpegurl'),
    ('wax', 'audio/x-ms-wax'),
    ('wma', 'audio/x-ms-wma'),
    ('ram', 'audio/x-pn-realaudio'),
    ('ra', 'audio/x-pn-realaudio'),
    ('rmp', 'audio/x-pn-realaudio-plugin'),
    ('wav', 'audio/x-wav'),
    ('xm', 'audio/xm'),
    ('cdx', 'chemical/x-cdx'),
    ('cif', 'chemical/x-cif'),
    ('cmdf', 'chemical/x-cmdf'),
    ('cml', 'chemical/x-cml'),
    ('csml', 'chemical/x-csml'),
    ('xyz', 'chemical/x-xyz'),
    ('bmp', 'image/bmp'),
    ('cgm', 'image/cgm'),
    ('g3', 'image/g3fax'),
    ('gif', 'image/gif'),
    ('ief', 'image/ief'),
    ('jpeg', 'image/jpeg'),
    ('jpg', 'image/jpeg'),
    ('jpe', 'image/jpeg'),
    ('ktx', 'image/ktx'),
    ('png', 'image/png'),
    ('btif', 'image/prs.btif'),
    ('sgi', 'image/sgi'),
    ('svg', 'image/svg+xml'),
    ('svgz', 'image/svg+xml'),
    ('tiff', 'image/tiff'),
    ('tif', 'image/tiff'),
    ('psd', 'image/vnd.adobe.photoshop'),
    ('uvi', 'image/vnd.dece.graphic'),
    ('uvvi', 'image/vnd.dece.graphic'),
    ('uvg', 'image/vnd.dece.graphic'),
    ('uvvg', 'image/vnd.dece.graphic'),
    ('sub', 'text/vnd.dvb.subtitle'),
    ('djvu', 'image/vnd.djvu'),
    ('djv', 'image/vnd.djvu'),
    ('dwg', 'image/vnd.dwg'),
    ('dxf', 'image/vnd.dxf'),
    ('fbs', 'image/vnd.fastbidsheet'),
    ('fpx', 'image/vnd.fpx'),
    ('fst', 'image/vnd.fst'),
    ('mmr', 'image/vnd.fujixerox.edmics-mmr'),
    ('rlc', 'image/vnd.fujixerox.edmics-rlc'),
    ('mdi', 'image/vnd.ms-modi'),
    ('wdp', 'image/vnd.ms-photo'),
    ('npx', 'image/vnd.net-fpx'),
    ('wbmp', 'image/vnd.wap.wbmp'),
    ('xif', 'image/vnd.xiff'),
    ('webp', 'image/webp'),
    ('3ds', 'image/x-3ds'),
    ('ras', 'image/x-cmu-raster'),
    ('cmx', 'image/x-cmx'),
    ('fh', 'image/x-freehand'),
    ('fhc', 'image/x-freehand'),
    ('fh4', 'image/x-freehand'),
    ('fh5', 'image/x-freehand'),
    ('fh7', 'image/x-freehand'),
    ('ico', 'image/x-icon'),
    ('sid', 'image/x-mrsid-image'),
    ('pcx', 'image/x-pcx'),
    ('pic', 'image/x-pict'),
    ('pct', 'image/x-pict'),
    ('pnm', 'image/x-portable-anymap'),
    ('pbm', 'image/x-portable-bitmap'),
    ('pgm', 'image/x-portable-graymap'),
    ('ppm', 'image/x-portable-pixmap'),
    ('rgb', 'image/x-rgb'),
    ('tga', 'image/x-tga'),
    ('xbm', 'image/x-xbitmap'),
    ('xpm', 'image/x-xpixmap'),
    ('xwd', 'image/x-xwindowdump'),
    ('eml', 'message/rfc822'),
    ('mime', 'message/rfc822'),
    ('igs', 'model/iges'),
    ('iges', 'model/iges'),
    ('msh', 'model/mesh'),
    ('mesh', 'model/mesh'),
    ('ics', 'text/calendar'),
    ('ifb', 'text/calendar'),
    ('css', 'text/css'),
    ('csv', 'text/csv'),
    ('html', 'text/html'),
    ('htm', 'text/html'),
    ('txt', 'text/plain'),
    ('text', 'text/plain'),
    ('conf', 'text/plain'),
    ('def', 'text/plain'),
    ('list', 'text/plain'),
    ('log', 'text/plain'),
    ('sgml', 'text/sgml'),
    ('sgm', 'text/sgml'),
    ('man', 'text/troff'),
    ('ttl', 'text/turtle'),
    ('uri', 'text/uri-list'),
    ('uris', 'text/uri-list'),
    ('urls', 'text/uri-list'),
    ('vcard', 'text/vcard'),
    ('curl', 'text/vnd.curl'),
    ('dcurl', 'text/vnd.curl.dcurl'),
    ('scurl', 'text/vnd.curl.scurl'),
    ('mcurl', 'text/vnd.curl.mcurl'),
    ('fly', 'text/vnd.fly'),
    ('flx', 'text/vnd.fmi.flexstor'),
    ('gv', 'text/vnd.graphviz'),
    ('3dml', 'text/vnd.in3d.3dml'),
    ('spot', 'text/vnd.in3d.spot'),
    ('jad', 'text/vnd.sun.j2me.app-descriptor'),
    ('wml', 'text/vnd.wap.wml'),
    ('wmls', 'text/vnd.wap.wmlscript'),
    ('s', 'text/x-asm'),
    ('asm', 'text/x-asm'),
    ('c', 'text/x-c'),
    ('cc', 'text/x-c'),
    ('cxx', 'text/x-c'),
    ('cpp', 'text/x-c'),
    ('h', 'text/x-c'),
    ('hh', 'text/x-c'),
    ('dic', 'text/x-c'),
    ('f', 'text/x-fortran'),
    ('for', 'text/x-fortran'),
    ('f77', 'text/x-fortran'),
    ('f90', 'text/x-fortran'),
    ('java', 'text/x-java-source'),
    ('opml', 'text/x-opml'),
    ('p', 'text/x-pascal'),
    ('pas', 'text/x-pascal'),
    ('nfo', 'text/x-nfo'),
    ('etx', 'text/x-setext'),
    ('sfv', 'text/x-sfv'),
    ('uu', 'text/x-uuencode'),
    ('vcs', 'text/x-vcalendar'),
    ('vcf', 'text/x-vcard'),
    ('3gp', 'video/3gpp'),
    ('3g2', 'video/3gpp2'),
    ('h261', 'video/h261'),
    ('h263', 'video/h263'),
    ('h264', 'video/h264'),
    ('jpgv', 'video/jpeg'),
    ('jpm', 'video/jpm'),
    ('jpgm', 'video/jpm'),
    ('mj2', 'video/mj2'),
    ('mjp2', 'video/mj2'),
    ('mp4', 'video/mp4'),
    ('mp4v', 'video/mp4'),
    ('mpg4', 'video/mp4'),
    ('mpeg', 'video/mpeg'),
    ('mpg', 'video/mpeg'),
    ('mpe', 'video/mpeg'),
    ('m1v', 'video/mpeg'),
    ('m2v', 'video/mpeg'),
    ('ogv', 'video/ogg'),
    ('qt', 'video/quicktime'),
    ('mov', 'video/quicktime'),
    ('uvh', 'video/vnd.dece.hd'),
    ('uvvh', 'video/vnd.dece.hd'),
    ('uvm', 'video/vnd.dece.mobile'),
    ('uvvm', 'video/vnd.dece.mobile'),
    ('uvp', 'video/vnd.dece.pd'),
    ('uvvp', 'video/vnd.dece.pd'),
    ('uvs', 'video/vnd.dece.sd'),
    ('uvvs', 'video/vnd.dece.sd'),
    ('uvv', 'video/vnd.dece.video'),
    ('uvvv', 'video/vnd.dece.video'),
    ('dvb', 'video/vnd.dvb.file'),
    ('fvt', 'video/vnd.fvt'),
    ('mxu', 'video/vnd.mpegurl'),
    ('m4u', 'video/vnd.mpegurl'),
    ('pyv', 'video/vnd.ms-playready.media.pyv'),
    ('uvu', 'video/vnd.uvvu.mp4'),
    ('uvvu', 'video/vnd.uvvu.mp4'),
    ('viv', 'video/vnd.vivo'),
    ('webm', 'video/webm'),
    ('f4v', 'video/x-f4v'),
    ('fli', 'video/x-fli'),
    ('flv', 'video/x-flv'),
    ('m4v', 'video/x-m4v'),
    ('mkv', 'video/x-matroska'),
    ('mk3d', 'video/x-matroska'),
    ('mks', 'video/x-matroska'),
    ('mng', 'video/x-mng'),
    ('asf', 'video/x-ms-asf'),
    ('asx', 'video/x-ms-asf'),
    ('vob', 'video/x-ms-vob'),
    ('wm', 'video/x-ms-wm'),
    ('wmv', 'video/x-ms-wmv'),
    ('wmx', 'video/x-ms-wmx'),
    ('wvx', 'video/x-ms-wvx'),
    ('avi', 'video/x-msvideo'),
    ('movie', 'video/x-sgi-movie'),
    ('smv', 'video/x-smv'),
    ('ice', 'x-conference/x-cooltalk');

  CREATE TABLE IF NOT EXISTS `#__os_cck_content_instances_price` (
  `price_id` int(11) NOT NULL AUTO_INCREMENT,
  `fk_eid` int(11) NOT NULL,
  `fk_eiid` int(11) NOT NULL,
  `fk_fid` int(11) NOT NULL,
  `price_name` varchar(255) NOT NULL DEFAULT '',
  `price_value` decimal(18,2) NOT NULL,
  `quantity` int(11) NOT NULL,
  `ordering` tinyint(4) NOT NULL,
  PRIMARY KEY (`price_id`),
  KEY `fk_eid` (`fk_eid`),
  KEY `fk_eiid` (`fk_eiid`),
  KEY `fk_fid` (`fk_fid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__os_cck_orders_price` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  `fk_order_id` int(11) NOT NULL,
  `fk_price_id` int(11) NOT NULL,
  `fk_eid` int(11) NOT NULL,
  `fk_eiid` int(11) NOT NULL,
  `fk_fid` int(11) NOT NULL,
  `price_name` varchar(255) NOT NULL DEFAULT '',
  `price_value` decimal(18,2) NOT NULL,
  `quantity` int(11) NOT NULL,
  `price_type` varchar(16) NOT NULL DEFAULT '',
  `price_ordering` tinyint(4) NOT NULL,
  `сart_item` tinyint(2) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__os_cck_coupons` (
  `coup_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `type` varchar(16) NOT NULL,
  `creation_date` date NOT NULL,
  `date_start` date NOT NULL,
  `date_finish` date NOT NULL,
  `value` int(11) NOT NULL,
  `used_number` int(11) NOT NULL,
  `max_uses` int(11) NOT NULL,
  `entities` varchar(255) NOT NULL,
  `user_group_ids` varchar(255) NOT NULL,
  `category_ids` varchar(255) NOT NULL,
  `published` tinyint(2) NOT NULL,
  PRIMARY KEY (`coup_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__os_cck_api` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `service` varchar(255) NOT NULL,
  `key` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;