<?php

/**
* @package OS CCK
* @copyright 2022 OrdaSoft.
* @author Andrey Kvasnevskiy(akbet@mail.ru),Roman Akoev (akoevroman@gmail.com), Vladislav Prikhodko(vlados.vp1@gmail.com)
* @link http://ordasoft.com/cck-content-construction-kit-for-joomla.html
* @description OrdaSoft Content Construction Kit 
* @license GNU General Public license version 2 or later;
*/
defined('_JEXEC') or die;
use Joomla\CMS\Component\Router\RouterBase;


$mosConfig_absolute_path = $GLOBALS['mosConfig_absolute_path'] = JPATH_SITE;

require_once($mosConfig_absolute_path . "/components/com_os_cck/classes/instance.class.php");
require_once($mosConfig_absolute_path . "/components/com_os_cck/classes/entity.class.php");
require_once($mosConfig_absolute_path . "/components/com_os_cck/classes/layout.class.php");

class Os_cckRouter extends RouterBase
{
    public function build(&$query)
    {
        global $entityFieldLists, $entities_type;
        
        $segments = array();
        $session = JFactory::getSession();
        $db = JFactory::getDBO();

        if(isset($query['task'])){
            $query['view'] = $query['task'];
        }
        
        if(isset($query['view'])){
             switch($query['view']){
               case "instance":
               case "parent_child":
               case "show_request_layout":
                   
                   if(isset($query['catid']) && $query['catid'] > 0){
                       $sql = "SELECT name FROM #__os_cck_categories WHERE cid=" . $query['catid'];
                       $db->setQuery($sql);
                       $cat_name = $db->loadResult();

                       $cat_name = JFilterOutput::stringURLUnicodeSLug(str_replace(' ', '_', $cat_name));
                       $segments[] = $query['catid'] . '-' .$cat_name;
                       unset($query['catid']);
                   }elseif(isset($query['catid'])){
                       unset($query['catid']);
                   }
                   
                   if(isset($query['eiid'])){
                       
                       if(is_array($query['eiid'])){
                           $eiid = $query['eiid'][0];
                       }else{
                           $eiid = $query['eiid'];
                       }
                       
                       if(isset($query['lid'])){
                           $lid = $query['lid'];
                       }

                       $sql = "SELECT fk_eid FROM #__os_cck_layout WHERE lid=".$lid;
                       $db->setQuery($sql);
                       $fk_eid = $db->loadResult();

                       $entity_type = $entities_type[$fk_eid];

                       if($entity_type == 'os_cck_entity'){
                            $entityInstanse = new os_cckEntityInstance($db);
                            $entityInstanse->load($eiid);
                       }elseif($entity_type == 'joomla_user'){
                           $entityInstanse = ConvertEntityInstanceToUser($fk_eid, $eiid);
                       }


                       
                       if(isset($lid) && isset($fk_eid)){

                          //get params
                          $sql = "SELECT params FROM #__os_cck_layout
                                   \nWHERE lid =".intval($lid);

                          $db->setQuery($sql);
                          $params = $db->loadResult();
                          $params = unserialize($params);


                          foreach($entityFieldLists[$fk_eid] as $i => $field){
                            if(isset($params['fields'][$entityFieldLists[$fk_eid][$i]->db_field_name.'_title_field']) && $params['fields'][$entityFieldLists[$fk_eid][$i]->db_field_name.'_title_field'] == 1){

                                $title_field = $entityFieldLists[$fk_eid][$i];
                            }
                          }

                              if($entity_type == 'os_cck_entity'){

                                  $value[0] = new stdClass();
                                  $value[0]->data = getInstanceTitle($entityInstanse);
                              }elseif($entity_type == 'joomla_user'){
                                  foreach($entityFieldLists[$fk_eid] as $i => $field){
                                      if($field->db_field_name == 'user_standart_name'){
                                          $title_field = $entityFieldLists[$fk_eid][$i];
                                      }
                                  }
                                  
                                  if(isset($title_field)){
                                      $title_field_array = explode('_', $title_field->db_field_name);
                                      
                                      if($title_field_array[1] == 'standart'){
                                          $user = jFactory::getUser($entityInstanse->eiid);
                                          $user_profile_form = '';
                                          $value = $entityInstanse->getFieldValue($title_field, $entity_type, $user_profile_form, $user);
                                      }else{
                                          $user = jFactory::getUser($entityInstanse->eiid);
                                          
                                          JPluginHelper::importPlugin('user');
                                          JForm::addFormPath(JPATH_SITE . '/plugins/user/profile');
                                          $user_profile_form = JForm::getInstance('com_users.user', 'profile');
                                          $results2 = JFactory::getApplication()->triggerEvent('onContentPrepareData', array('com_users.user', $user));
                                          $results = JFactory::getApplication()->triggerEvent('onContentPrepareForm', array($user_profile_form, $user));
                                          $user_profile_form->bind($user);
                                          $value = $entityInstanse->getFieldValue($title_field, $entity_type, $user_profile_form, $user);
                                      }
                                  }
                              }

                            if(isset($value) && $value[0]->data != '') {
                              $segments[] = JFilterOutput::stringURLUnicodeSLug(str_replace(array(' ', ':'), '_', $value[0]->data)). ':'. $entityInstanse->eiid . ':' . $lid;
                              unset($query['eiid']);
                            }else{
                                $segments[]=$eiid . ':' . $lid;
                                unset($query['eiid']);
                            }
//                          }
                        }else{
                          $segments[]=$entityInstanse->eiid;
                          unset($query['eiid']);
                        }

                        unset($query['lid']);
                   }
                   
                   unset($query['view']);
                   if(isset($query['task'])){
                       unset($query['task']);
                   }
                   if(isset($query['price_fields'])){
                       $session->set('price_fields', $query['price_fields']);
                       unset($query['price_fields']);
                   }
                   if(isset($query['language'])){
                       unset($query['language']);
                   }
                   
               break;

               case "category":
                   if(isset($query['catid']) && isset($query['lid'])){
                       $sql = "SELECT name FROM #__os_cck_categories WHERE cid=" . intval($query['catid']);
                       $db->setQuery($sql);
                       $cat_name = $db->loadResult();

                       $cat_name = JFilterOutput::stringURLUnicodeSLug(str_replace(array(' ', ':'), '_', $cat_name));
                       $segments[] = $query['lid'] . ':' . $query['catid'] . ':' .$cat_name;
                       unset($query['catid']);
                       unset($query['view']);
                       unset($query['lid']);
                   }
                   break;
               case "all_categories":
                   unset($query['view']);
                   break;
               case "show_search":
                   if(isset($query['lid'])){
                    $segments[] = 'show_search:' . $query['lid'];
                   }
                   if(isset($query['view'])){
                    unset($query['view']);
                   }
                   if(isset($query['lid'])){
                    unset($query['lid']);
                   }
                   if(isset($query['task'])){
                    unset($query['task']);
                   }
                   break;
               case "search":
                   $segments[] = 'search:' . $query['lid'];
                   unset($query['view']);
                   unset($query['lid']);
                   unset($query['task']);
                   //unset($query['option']);
                   break;
               case "all_instance":
                   unset($query['view']);
                   unset($query['task']);
                   break;
               case "cart":
                   if(isset($query['lid'])){
                       $segments[] = 'cart:' . $query['lid'];
                   }
                   if(isset($query['view'])){
                       unset($query['view']);
                   }
                   if(isset($query['lid'])){
                       unset($query['lid']);
                   }
                   if(isset($query['task'])){
                       unset($query['task']);
                   }
                   break;

             }
             unset($query['view']);
           }

        return $segments;
    }
    
    public function parse(&$segments)
    {
        
        $vars = array();
        $db = JFactory::getDBO();
        $vars['option'] = 'com_os_cck';
         $app    = JFactory::getApplication();
         $menu   = $app->getMenu();
         $count = count($segments);
         $parse_var = $segments[$count-1];
         $parse_var_arr = array_reverse(explode(':', $parse_var));
         
         $lid = $parse_var_arr[0];

         if(intval($lid) == 0){
             $lid = substr($parse_var, 0, stripos($parse_var, ':'));
         }elseif(preg_match('/\D/', $lid) == 1){
             $lid = substr($parse_var, strripos($parse_var, ':')+1);
             $non_title = true;
         }

         if(preg_match('/[a-zA-Z]+/', $parse_var) == 0){
             $non_title = true;
         }
         

         $layout = new os_cckLayout($db);
         $layout->load($lid);

         
        if($layout->type == 'instance' || $layout->type == 'parent_child'
                 || $layout->type == 'request_instance' || $layout->type == 'review_instance'|| $layout->type == 'buy_request_instance'){
             $vars['view'] = $layout->type;
             if($layout->type == 'request_instance' || $layout->type == 'review_instance' || $layout->type == 'buy_request_instance'){
                 $vars['view'] = 'show_request_layout';
             }

             $end_crop = strlen($parse_var) - strripos($parse_var, ':');
             $substring = substr($parse_var, stripos($parse_var, ':')+1);
             $vars['eiid'] = $parse_var_arr[1];
             if(intval($vars['eiid']) == 0){
               $vars['eiid'] = substr($substring, 0, stripos($substring, ':'));
               if(isset($non_title) && $non_title == true){
                   $vars['eiid'] = substr($parse_var, 0, stripos($parse_var, ':'));
               }
             }
             $vars['lid']   = $lid;

         }elseif ($layout->type == 'category') {
             $vars['view'] = $layout->type;
             $end_crop = stripos($parse_var, '-') - stripos($parse_var, ':')-1;
             
             $vars['catid'] = intval(substr($parse_var, stripos($parse_var, ':')+1, $end_crop));

             $vars['lid']   = $lid;

        }elseif ($layout->type == 'search') {
            $vars['view'] = 'show_search';
            $vars['task'] = 'search';
            $vars['lid']   = $lid;
        }elseif ($layout->type == 'cart') {
            $vars['view'] = 'cart';
            $vars['task'] = 'cart';
            $vars['lid']   = $lid;
        }
        foreach ($segments as $key => $value) {
            unset($segments[$key]);
        }

        return $vars;
    }
}


function os_cckBuildRoute(&$query) {
   
    $app = JFactory::getApplication();
    $router = new Os_cckRouter($app, $app->getMenu());

    return $router->build($query);


}

/**
 * Parse the segments of a URL.
 *
 */
function COM_OS_CCKParseRoute($segments) {

    $app = JFactory::getApplication();
    $router = new Os_cckRouter($app, $app->getMenu());

    return $router->parse($segments);
     

}
